# butler_ddochi

butler_ddochi는 개인 테스트 환경 관리를 위한 목적으로 만들어지고 있습니다.
* 클라우드 네이티브 환경을 이용한 서비스 환경 관리
* 쿠버네티스 관리
* 문의는 icurfer@gmail.com으로 부탁드립니다.

> 문서가 미흡하여 설치 및 구성이 어려울 수 있습니다.

---

## 목차

* [사전 구성요소 선택](#사전-구성-컴포넌트(선택))
* [butler_ddochi설치](#butler_ddochi설치)

### 사전 구성 컴포넌트(필수)
동작을 위한 최소한의 필수 컴포넌트입니다.
* MariaDB
* MinIO

### 사전 구성 컴포넌트(선택)
아래 컴포넌트들이 배포 되어있다면, 로그인 후 Edit Profile을 이용하여 웹콘솔 링크를 입력하여 사용합니다.
![alt text](README-1.png)
* Gitea
* Harbor
* ArgoCD
* CodeServer
* Rancher
* Prometheus
* OpenSearch
* Kiali
---

### butler_ddochi설치
docker 또는 kubernetes를 이용하여 배포 합니다.

> docker pull harbor.icurfer.com/py_prj/butler_ddochi:${version}

필수 환경변수
* DEBUG=0
* SQL_ENGINE='django.db.backends.mysql'
* SQL_HOST='DB_SVR_address'
* SQL_USER='DB_SVR_user'
* SQL_PASSWORD='DB_SVR_user_password'
* SQL_DATABASE='DB_SVR_database'
* SQL_PORT='DB_SVR_portnumber'
* CSRF_TRUSTED_ORIGINS=https://www.example.com,https://butler.example.com,https://butler.example.com:8000
* MM_URL=https://mm.example.com/hooks/${hash}
* (기능 미구현)MINIO_URL=https://minio.example.com/

## 가이드
* https://butler.icurfer.com/notice/
